VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions
vmware::vapi::metadata::metamodel::Type Class Reference

The `Type` class describes the type information of a typed element in the interface definiton language. More...

List of all members.

## Classes
class | BuiltinType
| The `Type.BuiltinType` enumerated type provides enumeration value for each of the built-in types present in the interface definition language type system. More...
class | Category
| The `Type.Category` enumerated type provides enumeration value for each category of the type. More...
## Public Member Functions
| Type ()
| Creates a default new instance.
vmware.vapi.metadata.metamodel.Type.Category | GetCategory ()
| Category of this type.
void | SetCategory (vmware.vapi.metadata.metamodel.Type.Category category)
| Category of this type.
vmware.vapi.metadata.metamodel.Type.BuiltinType | GetBuiltinType ()
| Category of the built-in type.
void | SetBuiltinType (vmware.vapi.metadata.metamodel.Type.BuiltinType builtinType)
| Category of the built-in type.
vmware.vapi.metadata.metamodel.UserDefinedType | GetUserDefinedType ()
| Identifier and type of the user defined type.
void | SetUserDefinedType (vmware.vapi.metadata.metamodel.UserDefinedType userDefinedType)
| Identifier and type of the user defined type.
vmware.vapi.metadata.metamodel.GenericInstantiation | GetGenericInstantiation ()
| Instantiation of one of the generic types available in the interface definition language.
void | SetGenericInstantiation (vmware.vapi.metadata.metamodel.GenericInstantiation genericInstantiation)
| Instantiation of one of the generic types available in the interface definition language.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Type` class describes the type information of a typed element in the interface definiton language.

The following elements in the metamodel are typed:

- Field element in a structure element. See StructureInfo.fields
- Parameter element in an operation element. See OperationInfo.params_
- Result element in an operation element. See OperationInfo.output

The type could be one of the three following categories:

- Built-in types: These are types present in the interface definition language type system. They are provided by the infrastructure.
- User defined named type: API designers can create custom types and use them for the typed elements. These types have a unique identifier.
- Generic type instantiation: The language infrastructure also provides generic types such as list, map, set and so on. An instantiation of one of these generic types could also be used for the typed elements.

## Constructor & Destructor Documentation

vmware::vapi::metadata::metamodel::Type::Type | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::metamodel::Type::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::metamodel::Type::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::metamodel::Type::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::metamodel::Type::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::metamodel::Type::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::metamodel::Type::Equals | ( | object | obj | ) | `[inline]`

vmware.vapi.metadata.metamodel.Type.BuiltinType vmware::vapi::metadata::metamodel::Type::GetBuiltinType | ( |  | ) | `[inline]`

Category of the built-in type.

vmware.vapi.metadata.metamodel.Type.Category vmware::vapi::metadata::metamodel::Type::GetCategory | ( |  | ) | `[inline]`

Category of this type.

vmware.vapi.metadata.metamodel.GenericInstantiation vmware::vapi::metadata::metamodel::Type::GetGenericInstantiation | ( |  | ) | `[inline]`

Instantiation of one of the generic types available in the interface definition language.

override int vmware::vapi::metadata::metamodel::Type::GetHashCode | ( |  | ) | `[inline]`

vmware.vapi.metadata.metamodel.UserDefinedType vmware::vapi::metadata::metamodel::Type::GetUserDefinedType | ( |  | ) | `[inline]`

Identifier and type of the user defined type.

void vmware::vapi::metadata::metamodel::Type::SetBuiltinType | ( | vmware.vapi.metadata.metamodel.Type.BuiltinType | builtinType | ) | `[inline]`

Category of the built-in type.

void vmware::vapi::metadata::metamodel::Type::SetCategory | ( | vmware.vapi.metadata.metamodel.Type.Category | category | ) | `[inline]`

Category of this type.

void vmware::vapi::metadata::metamodel::Type::SetGenericInstantiation | ( | vmware.vapi.metadata.metamodel.GenericInstantiation | genericInstantiation | ) | `[inline]`

Instantiation of one of the generic types available in the interface definition language.

void vmware::vapi::metadata::metamodel::Type::SetUserDefinedType | ( | vmware.vapi.metadata.metamodel.UserDefinedType | userDefinedType | ) | `[inline]`

Identifier and type of the user defined type.

override string vmware::vapi::metadata::metamodel::Type::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- vapi/metadata/metamodel/Type.cs